Loading...
Searching...
No Matches
pcl::visualization::PointCloudGeometryHandlerCustom< PointT > Class Template Reference
Module visualization

Custom handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandlerCustom< PointT >:

## Public Types

using | PointCloud = typename PointCloudGeometryHandler< PointT >::PointCloud
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudGeometryHandlerCustom< PointT > >
using | ConstPtr = shared_ptr< const PointCloudGeometryHandlerCustom< PointT > >
Public Types inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudGeometryHandler< PointT > >
using | ConstPtr = shared_ptr< const PointCloudGeometryHandler< PointT > >

## Public Member Functions

| PointCloudGeometryHandlerCustom (const PointCloudConstPtr &cloud, const std::string &x_field_name, const std::string &y_field_name, const std::string &z_field_name)
| Constructor.
virtual std::string | getName () const
| Class getName method.
virtual std::string | getFieldName () const
| Get the name of the field used.
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format.
Public Member Functions inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
| PointCloudGeometryHandler (const PointCloudConstPtr &cloud)
| Constructor.
virtual | ~PointCloudGeometryHandler ()=default
| Destructor.
bool | isCapable () const
| Check if this handler is capable of handling the input data or not.
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
index_t | field_x_idx_
| The index of the field holding the X data.
index_t | field_y_idx_
| The index of the field holding the Y data.
index_t | field_z_idx_
| The index of the field holding the Z data.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

template<typename PointT>
class pcl::visualization::PointCloudGeometryHandlerCustom< PointT >

Custom handler class for PointCloud geometry.

Given an input dataset and three user defined fields, all data present in them is extracted and displayed on screen as XYZ data.

Author
  Radu B. Rusu

Definition at line 230 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::ConstPtr = shared_ptr<const PointCloudGeometryHandlerCustom<PointT> >

Definition at line 238 of file point_cloud_geometry_handlers.h.

## PointCloud

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloud = typename PointCloudGeometryHandler<PointT>::PointCloud

Definition at line 233 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudConstPtr = typename PointCloud::ConstPtr

Definition at line 235 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudPtr = typename PointCloud::Ptr

Definition at line 234 of file point_cloud_geometry_handlers.h.

## Ptr

template<typename PointT >

using pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::Ptr = shared_ptr<PointCloudGeometryHandlerCustom<PointT> >

Definition at line 237 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandlerCustom()

template<typename PointT >

pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom | ( | const PointCloudConstPtr & | cloud,
|  | const std::string & | x_field_name,
|  | const std::string & | y_field_name,
|  | const std::string & | z_field_name
| ) |  |

inline

Constructor.

Definition at line 241 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_x_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_y_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_z_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::fields_, and pcl::UNAVAILABLE.

## Member Function Documentation

## getFieldName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 266 of file point_cloud_geometry_handlers.h.

## getGeometry()

template<typename PointT >

virtual void pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry | ( | vtkSmartPointer< vtkPoints > & | points | ) | const

inline virtual

Obtain the actual point geometry for the input dataset in VTK format.

Parameters

  [out] | points | the resultant geometry

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 272 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_, pcl::visualization::PointCloudGeometryHandler< PointT >::cloud_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_x_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_y_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_z_idx_, and pcl::visualization::PointCloudGeometryHandler< PointT >::fields_.

## getName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getName | ( |  | ) | const

inline virtual

Class getName method.

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 262 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_geometry_handlers.h